- Tax Identity Verifications
- Get the latest verification
Tax Identity Verifications
Get the latest verification
Retrieve the latest verification of a tax entity for a tax authority. This is the source of truth for its status.
curl --request GET \
--url https://public-api.sandbox.remitian.com/v1/taxpayers/{taxpayerId}/tax-entities/{taxEntityId}/tax-identity-verifications/latest \
--header 'Authorization: Bearer <token>' \
--header 'x-api-key: <x_api_key>'Authorizations
Query Parameters
Unique identifier of the taxpayer.
Unique identifier of the tax entity.
Tax authority code, for example US_IRS.
API key of your Client Application.
Response
200
400
401
403
404
OK
Unique identifier of the tax identity verification.
Tax entity verified.
Connection type used to create the verification, for example KentuckyBusiness.
Tax authority of the connection type, for example US_KY.
CA_CRA, CA_AB, CA_QC, US_IRS, US_GA, US_CA, US_DC, US_WI, US_CO, US_AZ, US_MA, US_NC, US_VA, US_NJ, US_FL, US_IL, US_PA, US_MD, US_TX, US_OH, US_SC, US_DE, US_UT, US_KY, US_VT, US_MI, US_MO, US_OK, US_NM, US_OR, US_PA_PHI, US_TN, US_AR, US_ID, US_IN, US_AL, US_HI, US_KS, US_CT, US_ND, US_LA, US_ME, US_IA, US_MN, US_WV, US_NE, US_NY, US_NYC, US_MS, US_MT Type of the tax entity: IrsSsn (individual) or IrsEin (business).
Status of the verification.
NotStarted, Created, Requested, PendingManualReview, Success, Failed, FailedMaxReached, AwaitingConfirmation Tax year the verification refers to.
When the verification was created (UTC).
When the verification last changed (UTC).
Messages returned by the tax authority. Filled only when the verification failed.
curl --request GET \
--url https://public-api.sandbox.remitian.com/v1/taxpayers/{taxpayerId}/tax-entities/{taxEntityId}/tax-identity-verifications/latest \
--header 'Authorization: Bearer <token>' \
--header 'x-api-key: <x_api_key>'